// ID:任务ID, Desc:任务描述, CompleteType:完成条件类型, CompleteParam:特殊参数,填0不生效。对任务捕获指定鱼需要填写, CompleteCount:完成计数, ItemID:奖励物品, ItemCount:奖励数量

export default class M_ActivityDoubleElevenMission {
  private static data =
      {"1":{"ID":1,"Desc":"每日登录","CompleteType":70,"CompleteParam":0,"CompleteCount":1,"ItemID":289,"ItemCount":5}

      ,"2":{"ID":2,"Desc":"完成黄金鱼抽奖3次","CompleteType":51,"CompleteParam":0,"CompleteCount":3,"ItemID":289,"ItemCount":10}

      ,"3":{"ID":3,"Desc":"捕获5条boss鱼","CompleteType":11,"CompleteParam":0,"CompleteCount":5,"ItemID":289,"ItemCount":5}

      ,"4":{"ID":4,"Desc":"当日消耗200钻石","CompleteType":73,"CompleteParam":0,"CompleteCount":200,"ItemID":289,"ItemCount":15}

      ,"5":{"ID":5,"Desc":"累计充值6元","CompleteType":56,"CompleteParam":0,"CompleteCount":6,"ItemID":289,"ItemCount":15}

      }// ID:任务ID, Desc:任务描述, CompleteType:完成条件类型, CompleteParam:特殊参数,填0不生效。对任务捕获指定鱼需要填写, CompleteCount:完成计数, ItemID:奖励物品, ItemCount:奖励数量


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}